---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libclassprep01.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x6B0, symBinAddr: 0x1EE0, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x20150, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0xE0, offset: 0xE0, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x202A0, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0xF9, offset: 0xF9, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x202A8, symBinAddr: 0x81E8, symSize: 0x0 }
  - { offsetInCU: 0x12B, offset: 0x12B, size: 0x8, addend: 0x0, symName: __ZL7classes, symObjAddr: 0x202B0, symBinAddr: 0x81F0, symSize: 0x0 }
  - { offsetInCU: 0x1A0, offset: 0x1A0, size: 0x8, addend: 0x0, symName: __ZL15virtual_classes, symObjAddr: 0x30D0, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0x1C5, offset: 0x1C5, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x202B8, symBinAddr: 0x81F8, symSize: 0x0 }
  - { offsetInCU: 0x8E02, offset: 0x8E02, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x202C0, symBinAddr: 0x8200, symSize: 0x0 }
  - { offsetInCU: 0x8E1B, offset: 0x8E1B, size: 0x8, addend: 0x0, symName: __ZL14eventsExpected, symObjAddr: 0x203F8, symBinAddr: 0x8338, symSize: 0x0 }
  - { offsetInCU: 0x8E3B, offset: 0x8E3B, size: 0x8, addend: 0x0, symName: __ZL14kernel_classes, symObjAddr: 0x3100, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x8EA0, offset: 0x8EA0, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x2200, symSize: 0x30 }
  - { offsetInCU: 0x912A, offset: 0x912A, size: 0x8, addend: 0x0, symName: __Z17print_thread_infoP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x550, symBinAddr: 0x1D80, symSize: 0x160 }
  - { offsetInCU: 0x93B2, offset: 0x93B2, size: 0x8, addend: 0x0, symName: _printStatus, symObjAddr: 0xE90, symBinAddr: 0x2230, symSize: 0x130 }
  - { offsetInCU: 0x962E, offset: 0x962E, size: 0x8, addend: 0x0, symName: _ClassPrepare, symObjAddr: 0x1030, symBinAddr: 0x2360, symSize: 0x960 }
  - { offsetInCU: 0x9E57, offset: 0x9E57, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x1990, symBinAddr: 0x2CC0, symSize: 0x120 }
  - { offsetInCU: 0x9FED, offset: 0x9FED, size: 0x8, addend: 0x0, symName: _Java_classprep01_getReady, symObjAddr: 0x1AB0, symBinAddr: 0x2DE0, symSize: 0x100 }
  - { offsetInCU: 0xA10E, offset: 0xA10E, size: 0x8, addend: 0x0, symName: _Java_classprep01_check, symObjAddr: 0x1BB0, symBinAddr: 0x2EE0, symSize: 0x100 }
  - { offsetInCU: 0xA211, offset: 0xA211, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1CB0, symBinAddr: 0x2FE0, symSize: 0x10 }
  - { offsetInCU: 0xA26B, offset: 0xA26B, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1CC0, symBinAddr: 0x2FF0, symSize: 0xA }
...
